<?php
$type = get_sub_field('news_selection_type');

if ($type === 'manual') {
	$news_items = get_sub_field('news');
} else {
	$news = new WP_Query( array (
	  'posts_per_page' => get_sub_field('amount_news'),
	  'fields' => 'ID'
	));
	$news_items = $news->posts;
} ?>

<div class="content-row">
	<div class="container">
		<h2>latest news</h2>

		<div class="grid">
			<?php foreach ($news_items as $news) {
				$news_id = ($type === 'manual') ? $news : $news->ID;
				$news_post = get_post($news_id);
				include(locate_template('template-parts/elements/news-teaser.php'));
			} ?>
		</div>
	</div>
</div>